#Geany
**Geany**  — среда разработки программного обеспечения, написанная на языке C с использованием библиотеки GTK+. Отличие Geany в том, что это быстрая и легкая среда разработки.
Преимущества Geany
Geany — это текстовый редактор, который позволяет подключать сторонние библиотеки для создания полноценной среды разработки. Geany поддерживает 64 языка программирования. Имеет следующие особенности:
быстрый,
1. бесплатный,
2. кроссплатформенный,
3. портабельный,
4. русскоязычный,
5. расширяемый.
![](https://progtips.ru/wp-content/uploads/2019/02/geany1.png)
В настоящее время одной из самой популярной сред разработки является NotePad++. Эти два редактора основаны на одном движке Scintilla. При этом Notepad++  работает только в среде Windows, а Geany работает под управлением Windows, Linux, FreeBSD , NetBSD , OpenBSD , MacOS X, AIX v5.3 и Solaris Express.
Поэтому среди этих двух программ лучше выбирать Geany.
___
### Основные функции Geany:
1. Подсветка синтаксиса,
2. Поддержка большого количества кодировок,
3. Сворачивание блоков кода,
4. Автозавершение имен,
5. Работа со сниппетами (фрагментами кода),
6. Автоматическое закрытие тегов XML и HTML,
7. Поддержка языков C, Java, PHP, HTML, Python, Perl, Pascal и других,
8. Списки имен,
9. Навигация по коду,
10. Отладка (требуется плагин GeanyGDB),
11. Использование контекстной документации man, Devhelp,
12. Сборка — система для компиляции и исполнения кода,
13. Простое управление проектом,
14. Интерфейс для модулей.
___
### Запуск программы
Редактор Geany включен в сборку «PHP-экспресс«, поэтому, если она у вас установлена, то для запуска нажмите на
c:\Prog\Geany\GeanyPortable.exe
![](https://progtips.ru/wp-content/uploads/2019/02/geany2.png)
При запуске Geany загружает все файлы, которые были открыты в предыдущем сеансе работы. Это можно отключить в настройках.
Если хотите запускать Geany с английским интерфейсом, то создайте новый документ в Geany и напишите две строки:
set LANG=en
start GeanyPortable
Затем сохраните этот документ под именем с расширением с именем  geany_en.bat. Теперь двойной клик по этому файлу будет запускать Geany с английским интерфейсом.
___
### Настройки программы
Geany имеет множество настроек, поэтому весьма удобен в работе. Для изменения настроек нажмите меню «Правка — Настройки».
![](https://progtips.ru/wp-content/uploads/2019/02/geany3.png)
Можно поменять панель инструментов.
![](https://progtips.ru/wp-content/uploads/2019/02/geany4.png)
___
### Работа с проектами
В основе работы Geany лежит работа с проектами. Для создания проекта нужно выполнить пункт меню: «Проект — Новый». Действия с проектом настраиваются в свойствах проекта.
![](https://progtips.ru/wp-content/uploads/2019/02/geany5.png)
___
### Плагины для Geany
Функциональность редактора расширяется плагинами. Посмотреть его можно здесь: plugins.geany.org
![enter image description here](https://progtips.ru/wp-content/uploads/2019/02/geany6.png)
Также можно написать свои собственные плагины на C. Или написать сценарии Lua для Geany с помощью плагина Lua.